/* Estilos generales */
body {
    margin: 10px;
    padding: 5px;
    font-family: sans-serif;
    background-color: #ADD8E6;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 5vh; /* Se cambia height a min-height para evitar que el footer se superponga */
}

/* Encabezado */
.header {
    width: 100%;
    background-color: #3B5EB7;
    color: white;
    text-align: center;
    padding: 10px 0;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.header img {
    height: 100px; /* Ajustar según necesidad */
    width: auto;
}

.header h1 {
    margin: 0;
    font-size: 24px;
}

/* Línea roja institucional */
.separator {
    width: 100%;
    height: 10px;
    background-color: #e51e21;
    margin: 5px 0;
}

/* Contenedor del formulario */
.form-container {
    background-color: white;
    padding: 20px;
    border-radius: 25px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    width: auto;
    max-width: 800px;
    text-align: center;
    margin-top: 5px;
}
 /* Contenedor del formulario */
.form-containert {
    background-color: white;
    padding: 20px;
    border-radius: 25px;
    box-shadow:5px 4px 6px rgba(0, 0, 0, 0.1);
    width: auto;
    max-width: auto;
    text-align: left;
    margin-top: 5px;
}
 
/* Formulario y entradas */
.form-group {
    margin: 10px;
    padding: 10px;
    border-radius: 4px; /* Bordes redondeados */
}

/* Estilo de título formulario */
.form-group label {
    display: block;
    margin-bottom: 10px; 
    font-weight: bold; 
}

.form-group input[type="text"], 
.form-group input[type="password"], 
.form-group input[type="email"] {
    width: auto;
    padding: 5px 5px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin: 5px;
}

/* Botón */
.btn {
    background-color: #3B5EB7; /* Azul institucional */
    color: #fff;
    border: none;
    padding: 5px 5px;
    font-size: 14px;
    cursor: pointer;
    border-radius: 4px;
    transition: background-color 0.3s;
    width: auto;
    margin: 10px;
    white-space: nowrap; /* Evita desbordamiento del texto */
}

.btn:hover {
    background-color: #2daae2; /* Celeste institucional */
}

/* Pie de página */
.footer {
    width: 100%;
    background-color: #3B5EB7;
    color: white;
    text-align: center;
    padding: 10px 0;
    margin-top: 10px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}

.footer p {
    margin: 0;
    font-size: 12px;
}

.footer .footer-text {
    font-size: 12px;
    font-weight: bold;
}

/* Estilos de los mensajes de error y éxito */
.error-message {
    color: red;
    text-align: center;
    margin-top: 20px;
    font-weight: bold;
}

.success-message {
    color: green;
    text-align: center;
    margin-top: 20px;
    font-weight: bold;
}

/* Estilo de título formulario */
.label {
    display: block;
    margin-bottom: 5px; 
    font-weight: bold; 
}
/* Estilos Generales de la Tabla */
table {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-size: 16px;
    text-align: center;
}

/* Bordes de la Tabla */
th, td {
    border: 2px solid black;
    padding: 10px;
}

/* Fondo y Color de Encabezados */
th {
    background-color: #3B5EB7; /* Azul institucional */
    color: white;
    text-transform: uppercase;
}

/* Alternar Colores de Filas */
tr:nth-child(even) {
    background-color: #f2f2f2;
}

/* Ajustar Altura de Filas */
td {
    height: auto;
}

/* Centrar Texto en Celdas */
th, td {
    text-align: left;
}

/* Efecto Hover en Filas */
tr:hover {
    background-color: #ddd;
}
